lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'plate_recognizer/version'

Gem::Specification.new do |spec|
  spec.name          = 'plate_recognizer'
  spec.version       = PlateRecognizer::VERSION
  spec.authors       = ['James Huynh']
  spec.email         = ['james@rubify.com']

  spec.summary       = 'Integrate with https://platerecognizer.com/'
  spec.description   = 'Integrate with https://platerecognizer.com/'
  spec.homepage      = 'https://github.com/jameshuynh/plate_recognizer'
  spec.license       = 'MIT'

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/jameshuynh/plate_recognizer'
  spec.metadata['changelog_uri'] = 'https://github.com/jameshuynh/plate_recognizer/README.md'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'rake', '~> 10.0'
end
